--- 2.1.1/exim.conf-SpamBlockerTechnology-v2.1.1.txt	2014-09-12 23:16:15.000000000 -0600
+++ 2.1.2/exim.conf-SpamBlockerTechnology-v2.1.2.txt	2014-09-18 14:15:44.000000000 -0600
@@ -1,5 +1,5 @@
 ######################################################################
-#                 SpamBlocker.exim.conf.2.1.1-release                #
+#                 SpamBlocker.exim.conf.2.1.2-release                #
 #                             05-Jun-2007                            #
 #   Runtime configuration file for DirectAdmin/Exim 4.24 and above   #
 #          Requires exim.pl dated 20-Apr-2007 17:09 or later         #
@@ -315,9 +315,13 @@
   deny  domains       = +local_domains
         local_parts   = ^[.] : ^.*[@%!/|]
 
+  drop  message = User account ${authenticated_id} has sent too many emails
+        condition = ${perl{auth_hit_limit_acl}}
+        authenticated = *
+
 # to restrict port 587 to authenticated users only
 # see also daemon_smtp_ports above
-accept  hosts = +auth_relay_hosts
+  accept  hosts = +auth_relay_hosts
         condition = ${if eq {$interface_port}{587} {yes}{no}}
         endpass
         message = relay not permitted, authentication required
@@ -485,14 +489,14 @@
     driver = plaintext
     public_name = PLAIN
     server_prompts = :
-    server_condition = "${perl{smtpauth}}"
+    server_condition = "${perl{smtpauth}{0}}"
     server_set_id = $2
 
 login:
     driver = plaintext
     public_name = LOGIN
     server_prompts = "Username:: : Password::"
-    server_condition = "${perl{smtpauth}}"
+    server_condition = "${perl{smtpauth}{0}}"
     server_set_id = $1
 
 
@@ -877,7 +881,7 @@
 
 
 begin retry
-
+*                      quota
 *                      *           F,2h,15m; G,16h,1h,1.5; F,4d,8h
 
 
